[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.IsEmptyRow

Indicates if all non-fixed cells in the specified row are empty.

## Declaration

Source position: grids.pas line 1142

`protected function TCustomGrid.IsEmptyRow(`
`ARow: Integer`
`):Boolean;`

## Arguments

`ARow` |  | Row number for the cells examined in the method.

## Function result

True when all non-fixed cells in the specified row contain empty strings ('').

## See also

TCustomGrid.GetCells |  | Gets the cell content at the specified column and row numbers.
TCustomGrid.FixedCols |  | The number of fixed columns in the grid.
TCustomGrid.ColCount |  | Number of columns in the grid.